org.apache.ignite.internal.processors.cache.transactions

## Interface IgniteTxLocalState

All Superinterfaces:
  IgniteTxState

All Known Implementing Classes:
  IgniteTxImplicitSingleStateImpl, IgniteTxLocalStateAdapter, IgniteTxStateImpl

    public interface IgniteTxLocalState
    extends IgniteTxState

### Method Summary

Methods
`void` `addEntry(IgniteTxEntry entry)`
`boolean` `init(int txSize)`
`boolean` `initialized()`
`void` `seal()`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.transactions.IgniteTxState

`addActiveCache, allEntries, awaitLastFut, empty, entry, firstCacheId, hasInterceptor, hasWriteKey, implicitSingle, onTxEnd, readEntries, readMap, readSet, singleCacheContext, singleWrite, stores, storeWriteThrough, syncMode, topologyReadLock, topologyReadUnlock, unwindEvicts, validateTopology, writeEntries, writeMap, writeSet`

### Method Detail

#### addEntry

    void addEntry(IgniteTxEntry entry)

Parameters:
  `entry` - Entry.

#### init

    boolean init(int txSize)

Parameters:
  `txSize` - Transaction size.
Returns:
  `True` if transaction was successfully started.

#### initialized

    boolean initialized()

Returns:
  `True` if init method was called.

#### seal

    void seal()

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017